<?php
class friendshipModel extends Model {
     //自动验证函数 
	 function judge($value)
	 {
	    if(isset($value) && $value == "on")
		{
		    return "1";
		}else
		{
		   return "0";
		}
	 }
	
    // 自动验证设置
    protected $_validate = array(
        array('name', 'require', '标题必须填写！', 1),//1为必须验证
		array('sort', 'require', '排序必须填写！', 1),//1为必须验证
		array('option', 'require', '打开方式必须填写！', 1),//1为必须验证
		array('category', 'require','栏目必须填写！', 1),//1为必须验证
    );
	//自动完成
	protected $_auto = array(
	  array('times','time',1,'function'),
	  array('show','judge',1,'callback'),
	);
}
?>